Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

StatementCreatorUtils introduces java 1.6 dependency [SPR-11349] #15974

Closed
spring-projects-issues opened this issue Jan 22, 2014 · 4 comments
Closed
Assignees
Labels
in: data type: bug
Milestone

Comments

@spring-projects-issues
Copy link
Collaborator

@spring-projects-issues spring-projects-issues commented Jan 22, 2014

daniel carter opened SPR-11349 and commented

The 3.2 series minimum requirement is java 1.5 but StatementCreatorUtils makes a call to Collections.newSetFromMap() which is since 1.6.

This is preventing us from upgrading from 3.2.5 to get the #15726 fix.

This issue manifests as java.lang.NoClassDefFoundError
at org.springframework.jdbc.core.ArgumentPreparedStatementSetter.cleanupParameters(ArgumentPreparedStatementSetter.java:70)
at org.springframework.jdbc.core.JdbcTemplate$1.doInPreparedStatement(JdbcTemplate.java:656)

P.S. we use animal sniffer to catch accidental usage of newer API methods in our builds, very handy.


Affects: 3.2.6

Issue Links:

  • #15937 spring-jdbc-3.2.6.RELEASE doesn't support JDK 5. ("duplicates")
@spring-projects-issues
Copy link
Collaborator Author

@spring-projects-issues spring-projects-issues commented Jan 22, 2014

Juergen Hoeller commented

This has been fixed for the latest 3.2.7 snapshots already. Feel free to give it a try... (See the Maven coordinates at http://projects.spring.io/spring-framework/)

Juergen

P.S.: We've been starting to use Animal Sniffer ourselves now, not least of it all due to this accidental breakage. Surprisingly we had hardly any breakages before, despite no specific tool support for detecting them.

@spring-projects-issues
Copy link
Collaborator Author

@spring-projects-issues spring-projects-issues commented Jan 22, 2014

Juergen Hoeller commented

Out of curiosity: Are you, by any chance, using WebSphere 6.1 on JDK 5?

@spring-projects-issues
Copy link
Collaborator Author

@spring-projects-issues spring-projects-issues commented Jan 22, 2014

daniel carter commented

Haha, websphere, no thankfully. I remember being stuck on java 1.3 for years after 1.5 came out because of websphere... Our deployment target is a shared tomcat 6 instance. Shared so it's a big effort to get all apps upgraded and tested at once, and not something i have any influence over unfortunately.

Have tested with 3.2.7-SNAP locally and my integration tests are passing again thanks. I'll have to stick with 3.2.5 until 3.2.7 is released though. Any ETA on that?

@spring-projects-issues
Copy link
Collaborator Author

@spring-projects-issues spring-projects-issues commented Jan 23, 2014

Stéphane Nicoll commented

Daniel, next Monday. Otherwise you can have a look to the versions panel of the project where we put the dates for the upcoming releases:
https://jira.springsource.org/browse/SPR#selectedTab=com.atlassian.jira.plugin.system.project%3Aversions-panel

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
in: data type: bug
Projects
None yet
Development

No branches or pull requests

2 participants